using System;
using System.Collections.Generic;
using System.Text;

namespace ProfileDemo
{
   class Program
   {
      static void Main(string[] args)
      {
         // załaduj dużą ilość danych
         List<string> strList = new List<string>();
         for (int x = 0; x < 10000; x++)
         {
            // użyj złączenia ciągów znakowych w niewydajny sposób
            string entry = "Witaj";
            entry += " ";
            entry += x.ToString();
            strList.Add("Witaj " + x.ToString());
         }

         // wykonaj zupełnie nieefektywną pętlę
         string src = string.Empty;
         for (int y = 0; y < strList.Count; y++)
         {
            // niepoprawne łączenie ciągów
            src += strList[y];
         }
      }
   }
}
